Loading...
Searching...
No Matches
connection_metadata Class Reference

## Public Types

typedef websocketpp::lib::shared_ptr< connection_metadata > | ptr
typedef websocketpp::lib::shared_ptr< connection_metadata > | ptr
typedef websocketpp::lib::shared_ptr< connection_metadata > | ptr

## Public Member Functions

| connection_metadata (int id, websocketpp::connection_hdl hdl, std::string uri)
void | on_open (client *c, websocketpp::connection_hdl hdl)
void | on_fail (client *c, websocketpp::connection_hdl hdl)
| connection_metadata (int id, websocketpp::connection_hdl hdl, std::string uri)
void | on_open (client *c, websocketpp::connection_hdl hdl)
void | on_fail (client *c, websocketpp::connection_hdl hdl)
void | on_close (client *c, websocketpp::connection_hdl hdl)
websocketpp::connection_hdl | get_hdl () const
int | get_id () const
std::string | get_status () const
| connection_metadata (int id, websocketpp::connection_hdl hdl, std::string uri)
void | on_open (client *c, websocketpp::connection_hdl hdl)
void | on_fail (client *c, websocketpp::connection_hdl hdl)
void | on_close (client *c, websocketpp::connection_hdl hdl)
void | on_message (websocketpp::connection_hdl, client::message_ptr msg)
websocketpp::connection_hdl | get_hdl () const
int | get_id () const
std::string | get_status () const
void | record_sent_message (std::string message)

## Friends

std::ostream & | operator<< (std::ostream &out, connection_metadata const &data)
std::ostream & | operator<< (std::ostream &out, connection_metadata const &data)
std::ostream & | operator<< (std::ostream &out, connection_metadata const &data)

## Detailed Description

Definition at line 45 of file step4.cpp.

## Member Typedef Documentation

## ptr [1/3]

typedef websocketpp::lib::shared_ptr<connection_metadata> connection_metadata::ptr

Definition at line 47 of file step4.cpp.

## ptr [2/3]

typedef websocketpp::lib::shared_ptr<connection_metadata> connection_metadata::ptr

Definition at line 47 of file step5.cpp.

## ptr [3/3]

typedef websocketpp::lib::shared_ptr<connection_metadata> connection_metadata::ptr

Definition at line 47 of file step6.cpp.

## Constructor & Destructor Documentation

## connection_metadata() [1/3]

connection_metadata::connection_metadata | ( | int | id,
|  | websocketpp::connection_hdl | hdl,
|  | std::string | uri )

inline

Definition at line 49 of file step4.cpp.

## connection_metadata() [2/3]

connection_metadata::connection_metadata | ( | int | id,
|  | websocketpp::connection_hdl | hdl,
|  | std::string | uri )

inline

Definition at line 49 of file step5.cpp.

## connection_metadata() [3/3]

connection_metadata::connection_metadata | ( | int | id,
|  | websocketpp::connection_hdl | hdl,
|  | std::string | uri )

inline

Definition at line 49 of file step6.cpp.

## Member Function Documentation

## get_hdl() [1/2]

websocketpp::connection_hdl connection_metadata::get_hdl | ( |  | ) | const

inline

Definition at line 82 of file step5.cpp.

## get_hdl() [2/2]

websocketpp::connection_hdl connection_metadata::get_hdl | ( |  | ) | const

inline

Definition at line 90 of file step6.cpp.

## get_id() [1/2]

int connection_metadata::get_id | ( |  | ) | const

inline

Definition at line 86 of file step5.cpp.

## get_id() [2/2]

int connection_metadata::get_id | ( |  | ) | const

inline

Definition at line 94 of file step6.cpp.

## get_status() [1/2]

std::string connection_metadata::get_status | ( |  | ) | const

inline

Definition at line 90 of file step5.cpp.

## get_status() [2/2]

std::string connection_metadata::get_status | ( |  | ) | const

inline

Definition at line 98 of file step6.cpp.

## on_close() [1/2]

void connection_metadata::on_close | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 72 of file step5.cpp.

## on_close() [2/2]

void connection_metadata::on_close | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 72 of file step6.cpp.

## on_fail() [1/3]

void connection_metadata::on_fail | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 64 of file step4.cpp.

## on_fail() [2/3]

void connection_metadata::on_fail | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 64 of file step5.cpp.

## on_fail() [3/3]

void connection_metadata::on_fail | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 64 of file step6.cpp.

## on_message()

void connection_metadata::on_message | ( | websocketpp::connection_hdl | ,
|  | client::message_ptr | msg )

inline

Definition at line 82 of file step6.cpp.

## on_open() [1/3]

void connection_metadata::on_open | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 57 of file step4.cpp.

## on_open() [2/3]

void connection_metadata::on_open | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 57 of file step5.cpp.

## on_open() [3/3]

void connection_metadata::on_open | ( | client * | c,
|  | websocketpp::connection_hdl | hdl )

inline

Definition at line 57 of file step6.cpp.

## record_sent_message()

void connection_metadata::record_sent_message | ( | std::string | message | ) |

inline

Definition at line 102 of file step6.cpp.

## Friends And Related Symbol Documentation

## operator<< [1/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | connection_metadata const & | data )

friend

Definition at line 82 of file step4.cpp.

## operator<< [2/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | connection_metadata const & | data )

friend

Definition at line 82 of file step4.cpp.

## operator<< [3/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | connection_metadata const & | data )

friend

Definition at line 82 of file step4.cpp.

The documentation for this class was generated from the following files:

- tutorials/utility_client/step4.cpp
- tutorials/utility_client/step5.cpp
- tutorials/utility_client/step6.cpp